/****************************************************************************

  (c) SYSTEC electronic GmbH, D-07973 Greiz, August-Bebel-Str. 29
      www.systec-electronic.de

  Project:      PLCmodule C14

  Description:  include file for the system timer driver

  -------------------------------------------------------------------------

                $RCSfile: TimerDrv.h,v $
                
                $Author: A.Suess $
                
                $Revision: 1.1.1.1 $  $Date: 2004/09/16 11:56:03 $
                
                $State: Exp $
                
                Build Environment:
                KEIL uVision 2

  -------------------------------------------------------------------------

  Revision History:

  2003/10/27 -ct:   start of the implementation

****************************************************************************/

#ifndef _TIMERDRV_H_
#define _TIMERDRV_H_


//---------------------------------------------------------------------------
// const defines
//---------------------------------------------------------------------------



//---------------------------------------------------------------------------
// types
//---------------------------------------------------------------------------

typedef DWORD tTime;


//---------------------------------------------------------------------------
// function prototypes
//---------------------------------------------------------------------------

WORD  StartTimer   (void);
void  DisableTimer (void);
DWORD GetTickCount (void);


#endif  // #ifndef _TEMPLATE_H_


